package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.dto.ProductionCircleRecipeDetailVo;
import com.sw.mes.yb.production.entity.ProductionCircleRecipeDetail;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ProductionCircleRecipeDetailService extends BaseService<ProductionCircleRecipeDetail> {
    List<ProductionCircleRecipeDetailVo> getRecipeDetailsById(String recipeName,String recipeCode, Integer version);

    void deleteHistory(String recipeName,String recipeCode, Integer version);


    List<ProductionCircleRecipeDetailVo> getRecipeDetailById(Long id,Long weightId);

    List<ProductionCircleRecipeDetail> getProductionCircleRecipeDetailsByParam(Long recipeId, String againNum);

    List<String> getRecipeMaterialTypeNamesByParam(Long recipeId, String againNum);

    List<ProductionCircleRecipeDetail> getProductionCircleRecipeDetailsByParamAccurate(Long recipeId, String s);

    List<String> getRecipeMaterialTypeNamesByParamAccurate(Long recipeId, String s);

    List<ProductionCircleRecipeDetail> getProductionRecipeDetailsByParam(Long recipeId, String s);

    List<String> getSuppliesTypeByParam(String suppliesType);
}
